function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("r_hall")
    
    std.create_half_tube(3, "y_neg", "e")
    std.create_half_tube(3, "x_pos", "e")
    std.create_center(5,"e")

    local msg_str = "The room you are in now is a \"chunk\". "
        .. "The file to generate this chunk is "
        .. "\"WorldNodes/Floor3/tut_lev3_3funcs.lua\". "
        .. "You can always figure out which Lua file "
        .. "is for the chunk you are in "
        .. "by entering the command \"^x00ff00path^!\" into the console "
        .. "(^x00ff00press ~ to open the console^!). "
        .. "Open that Lua file now to have a look "
        .. "(or you can enter the command \"script\" "
        .. "into the console, which will display the Lua script). "
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    msg_str = "A block script is a script "
        .. "in the \"Lua\" programming language. "
        .. "^xff0000Each script in the WorldNodes/Nodes "
        .. "directory must define 3 functions:^! "
        .. "^x00ff00get_is_solid^!, ^x00ff00get_tex^!, "
        .. "and ^x00ff00main^!. "
        .. "The first two functions are called "
        .. "when the package is loaded. "
        .. "They specify whether the block is solid, "
        .. "and if so what texture is used on the "
        .. "side of the block (before it is subdivided). "
        .. "The function \"main\" is called when the block "
        .. "is being subdivided into a "
        .. "chunk (an array of 16 by 16 by 16 blocks). "
        .. "The main function \"populates\" the chunk. "
    add_bent_s(7,7,6,"bent_base_txt",msg_str)
end
